> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiorganizations

> GET  /api/organizations/  — SysAdmin: all orgs; OrgAdmin: managed orgs.
POST /api/organizations/  — SysAdmin only.



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/organizations/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/organizations/:
    get:
      tags:
        - api
      description: |-
        GET  /api/organizations/  — SysAdmin: all orgs; OrgAdmin: managed orgs.
        POST /api/organizations/  — SysAdmin only.
      operationId: api_organizations_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Organization'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    Organization:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        description:
          type: string
        whitelisted_email_domains:
          type: array
          items:
            type: string
            maxLength: 255
        globus_identity_provider_id:
          type: string
          format: uuid
          nullable: true
          description: Globus institutional IdP UUID for auto-join on SSO signup.
        allow_external_ai:
          type: boolean
        allow_user_agent_config:
          type: boolean
        llm_provider_tier_preference:
          $ref: '#/components/schemas/LlmProviderTierPreferenceEnum'
        custom_ollama_url:
          type: string
          maxLength: 255
        custom_ollama_model:
          type: string
          maxLength: 128
        custom_clip_service_url:
          type: string
          maxLength: 255
        has_custom_clip_service_token:
          type: boolean
          readOnly: true
        default_repository_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        default_project_geobound_configured:
          type: boolean
        default_project_geobound_enabled:
          type: boolean
        default_project_geobound_basis:
          $ref: '#/components/schemas/GeoboundBasisEnum'
        default_project_geobound_allowed_countries:
          type: array
          items:
            type: string
            pattern: ^[A-Z]{2}$
            maxLength: 2
        default_project_geobound_allowed_country_set:
          type: string
          format: uuid
          nullable: true
        default_project_geobound_denied_country_set:
          type: string
          format: uuid
          nullable: true
        default_project_geobound_block_vpn:
          type: boolean
        default_project_geobound_fail_closed:
          type: boolean
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        member_count:
          type: integer
          readOnly: true
          default: 0
      required:
        - created_at
        - default_repository_id
        - has_custom_clip_service_token
        - id
        - member_count
        - name
        - updated_at
    LlmProviderTierPreferenceEnum:
      enum:
        - zdr
        - private_endpoint
      type: string
      description: |-
        * `zdr` - ZDR (Zero Data Retention)
        * `private_endpoint` - Private Endpoint
    GeoboundBasisEnum:
      enum:
        - ip
        - affiliation
        - ip_or_affiliation
        - ip_and_affiliation
      type: string
      description: |-
        * `ip` - IP country
        * `affiliation` - Affiliation country
        * `ip_or_affiliation` - IP or affiliation country
        * `ip_and_affiliation` - IP and affiliation country

````